Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKDSAPrivateKey

    java.lang.Object
      org.bouncycastle.jce.provider.JDKDSAPrivateKey

All Implemented Interfaces:
  java.io.Serializable, java.security.interfaces.DSAKey, java.security.interfaces.DSAPrivateKey, java.security.Key, java.security.PrivateKey, PKCS12BagAttributeCarrier

    public class JDKDSAPrivateKey

extends java.lang.Object
implements java.security.interfaces.DSAPrivateKey, PKCS12BagAttributeCarrier

See Also:
  Serialized Form

Constructor Summary
`protected` | `JDKDSAPrivateKey()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getAlgorithm()`
`DEREncodable` | `getBagAttribute(DERObjectIdentifier oid)`
`java.util.Enumeration` | `getBagAttributeKeys()`
`byte[]` | `getEncoded()` Return a PKCS8 representation of the key.
`java.lang.String` | `getFormat()` return the encoding format we produce in getEncoded().
`java.security.interfaces.DSAParams` | `getParams()`
`java.math.BigInteger` | `getX()`
`int` | `hashCode()`
`void` | `setBagAttribute(DERObjectIdentifier oid, DEREncodable attribute)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKDSAPrivateKey

    protected JDKDSAPrivateKey()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  return the encoding format we produce in getEncoded().

  Specified by:
    `getFormat` in interface `java.security.Key`
  Returns:
    the string "PKCS#8"

### getEncoded

    public byte[] getEncoded()

  Return a PKCS8 representation of the key. The sequence returned represents a full PrivateKeyInfo object.

  Specified by:
    `getEncoded` in interface `java.security.Key`
  Returns:
    a PKCS8 representation of the key.

### getParams

    public java.security.interfaces.DSAParams getParams()

  Specified by:
    `getParams` in interface `java.security.interfaces.DSAKey`

### getX

    public java.math.BigInteger getX()

  Specified by:
    `getX` in interface `java.security.interfaces.DSAPrivateKey`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### setBagAttribute

    public void setBagAttribute(DERObjectIdentifier oid,
                                DEREncodable attribute)

  Specified by:
    `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttribute

    public DEREncodable getBagAttribute(DERObjectIdentifier oid)

  Specified by:
    `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttributeKeys

    public java.util.Enumeration getBagAttributeKeys()

  Specified by:
    `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD